<?php

namespace Hilco\Models;

use DB;
use Hilco\Models\SelectsRelatedCount;

class WebAttribute_WebFamily extends WebModel
{
	protected $table = 'WebAttribute_WebFamily';
	protected $fillable = [
        'webattribute_id',
        'webfamily_id',
        'is_visible',
        'display_order',
        'is_thumbnail',
        'is_filterable',
        'is_select'
    ];

	public function webPart() {
		return $this->belongsTo(WebFamily::class, 'webfamily_id', 'id');
	}

	public function webAttribute() {
		return $this->belongsTo(WebAttribute::class, 'webattribute_id', 'id');
	}
}
